Skip to content

Get DNS List

GET
/api/v1/e2e_dns/forward/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/e2e_dns/forward/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful response returning a list of domains

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
domain_name
string
domain_ip
string format: ipv4
validity
string
nullable
created_at
string format: date-time
deleted
boolean
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"data": [
{
"id": 10280,
"domain_name": "testing098.com.",
"domain_ip": "1.1.1.1",
"validity": null,
"created_at": "2024-11-04T09:01:30.545588Z",
"deleted": false
}
],
"errors": {},
"message": "Success"
}